package l11_io;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;

public class DataIOTest {

	public static void main(String[] args) {

		final String fileName = "invoice.bin";
		writeFile(fileName);
		readFile(fileName);
	}

	private static void writeFile(String fileName) {

		double[] prices = {19.99, 9.99, 15.99, 3.99, 4.99};
		int[] units = {12, 68, 13, 29, 50};
		String[] descriptions = {
				"Java T-shirt",
				"Java Mug",
				"Duke Juggling Dolls",
				"Java Pin",
				"Java Key Chain"};

		// write file
		try (DataOutputStream out = new DataOutputStream(new FileOutputStream(fileName))) {
			out.writeInt(prices.length);
			for (int i = 0; i < prices.length; i++) {
				out.writeDouble(prices[i]);
				out.writeInt(units[i]);
				out.writeUTF(descriptions[i]);
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	private static void readFile(String fileName) {

		double total = 0.0;
		try (DataInputStream in = new DataInputStream(new FileInputStream(fileName))) {
			int noRecords = in.readInt();
			for (int i = 0; i < noRecords; i++) {
				double price = in.readDouble();
				int unit = in.readInt();
				String description = in.readUTF();
				total += unit * price;
				System.out.format("You've ordered %d units of %s at $%.2f\n", unit, description, price);
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
		System.out.println("-------------------------");
		System.out.format("For a TOTAL of: $%.2f\n", total);
	}
}
