package l11_io;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.zip.GZIPInputStream;
import java.util.zip.GZIPOutputStream;

public class GZIPExample {

	public static void main(String[] args) {
		String file = "Copy.java";
		String gzipFile = "Copy.java.gz";
		String newFile = "CopyNew.java";

		compressGzipFile(file, gzipFile);
		decompressGzipFile(gzipFile, newFile);
	}

	private static void compressGzipFile(String file, String gzipFile) {

		try (FileInputStream fileInputStream = new FileInputStream(file);
			GZIPOutputStream gzipOutputStream = new GZIPOutputStream(new FileOutputStream(gzipFile))) {
			int len;
			byte[] buffer = new byte[1024];
			while((len = fileInputStream.read(buffer)) != -1){
				gzipOutputStream.write(buffer, 0, len);
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	private static void decompressGzipFile(String gzipFile, String newFile) {

		try(GZIPInputStream gzipInputStream = new GZIPInputStream(new FileInputStream(gzipFile));
			FileOutputStream fileOutputStream = new FileOutputStream(newFile)) {
			int len;
			byte[] buffer = new byte[1024];
			while((len = gzipInputStream.read(buffer)) != -1){
				fileOutputStream.write(buffer, 0, len);
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
