import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Arrays;

class MyReaderTest {

	public static void main(String[] args) {
		double[] array = null;

		try (BufferedReader br = new BufferedReader(new InputStreamReader(System.in))) {
			MyReader myReader = new MyReader(br);
			System.out.println();
			int n = myReader.readInteger("Enter array length: ");
			while (n <= 0) n = myReader.readInteger("Once again: ");
			array = new double[n];
			System.out.println();
			for (int i = 0; i < n; i++)
				array[i] = myReader.readDouble("Enter " + i + "-th element: ");
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}

		System.out.println();
		System.out.println(Arrays.toString(array));
		System.out.println();
		Arrays.sort(array);
		System.out.println(Arrays.toString(array));
		System.out.println();
	}

	static class MyReader {
		private final BufferedReader bufferedReader;

		MyReader(BufferedReader br) {
			this.bufferedReader = br;
		}

		int readInteger(String s) throws IOException {
			System.out.print(s);
			while (true) {
				try {
					return Integer.parseInt(bufferedReader.readLine().trim());
				} catch (NumberFormatException e) {
					System.out.print("Wrong number, try again: ");
				}
			}
		}

		double readDouble(String s) throws IOException {
			System.out.print(s);
			while (true) {
				try {
					return Double.parseDouble(bufferedReader.readLine().trim());
				} catch (NumberFormatException e) {
					System.out.print("Wrong number, try again: ");
				}
			}
		}
	}
}

