package l11_io;

import java.io.IOException;
import java.io.RandomAccessFile;

public class RafTest {

	public static void main(String[] args) {
		rafTest();
	}

	private static void rafTest() {

		String[] books = {
			"Professional JSP",
			"The Java Application Programming Interface",
			"Java Security",
			"Java Security Handbook",
			"Hacking Exposed J2EE & Java"
		};

		// open raf for r/w
		try (RandomAccessFile raf = new RandomAccessFile("books.dat", "rw")) {
			raf.setLength(0); // clear the file (if anything is in)

			// write to the file
			for (String book : books)
				raf.writeUTF(book);
			printFile(raf); // print the file
			System.out.println();

			raf.seek(raf.length()); // go to the end of file
			raf.writeUTF("Servlet & JSP Programming"); // add one more title
			printFile(raf);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	private static void printFile(RandomAccessFile raf) throws IOException {
		raf.seek(0); // rewind and print
		while (raf.getFilePointer() < raf.length())
			System.out.printf("%5d %s%n", raf.getFilePointer(), raf.readUTF());
	}
}

