package l11_io;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

//	Standard io streams

//	Standard input:  System.in (InputStream)
//	Standard output: System.out (PrintStream)
//	Standard error:  System.err

public class ReadTest {

	private static String reader(BufferedReader bufferedReader) throws IOException {
		String line = bufferedReader.readLine();
		return (line == null) ? null : line.trim();
	}

	public static void main(String[] args) {
		int n;
		String input;
		try (BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(System.in))) {
			System.out.print ("Enter number: ");
			while ((input = reader(bufferedReader)) != null) {
				try {
					n = Integer.parseInt(input);
					System.out.println("n = " + 2 * n);
					System.out.print ("Enter number: ");
				}
				catch (NumberFormatException e) {
					System.out.print ("Try again: ");
				}
			}
		}
		catch (IOException e) {
			e.printStackTrace();
		}
	}
}
