
//	The following class terminates the program by subclassing the standard library
//	Timer class: The delay is in milliseconds, and the message will be printed if
//	the timeout expires. Note that by calling super(true), this is created as a
//	daemon thread so that if the program completes in some other way, this thread
//	will not prevent it from exiting. The Timer.schedule() method is given a
//	TimerTask subclass (created here as an anonymous inner class) whose run() is
//	executed after the second schedule() argument delay (in milliseconds) runs out.

import java.util.*;

public class Timeout extends Timer {
	public Timeout(int delay, final String msg) {
		super(true); // Daemon thread
		schedule(new TimerTask() {
			public void run() {
				System.out.println(msg);
				System.exit(0);
			}
		}, delay);
	}
}

