package l11_io.nio;

import java.nio.file.Path;
import java.nio.file.Paths;

public class NIOPath {
	public static void main(String[] args) {
		createPathInstance();
	}

	// Creating a Path Instance:
	// You create a Path instance using a static method named Paths.get().
	private static void createPathInstance() {
		Path pathWindows = Paths.get("c:\\data\\myfile.txt");
		System.out.println("The pathWindows is: " + pathWindows);
		Path pathUnix = Paths.get("/data/myfile.txt");
		System.out.println("The pathUnix is: " + pathUnix);

		// relative path
		Path pathRelative = Paths.get("/","data", "myfile.txt");
		System.out.println("The pathUnix is: " + pathRelative);

		// using '.' and '..'; normalization
		System.out.println();
		Path pathFromHere = Paths.get(".","data", "myfile.txt");
		System.out.println("The pathUnix is: " + pathFromHere);
		System.out.println("Absolute: " + pathFromHere.toAbsolutePath());
		System.out.println("Normalized: " + pathFromHere.toAbsolutePath().normalize());

		System.out.println();
		Path pathParent = Paths.get("..","data", "myfile.txt");
		System.out.println("The pathUnix is: " + pathParent);
		System.out.println("Absolute: " + pathParent.toAbsolutePath());
		System.out.println("Normalized: " + pathParent.toAbsolutePath().normalize());

		// relativize two paths
		System.out.println();
		Path basePath = Paths.get("/data");
		Path path = Paths.get("/data/subdata/subsubdata/myfile.txt");
		Path basePathToPath = basePath.relativize(path);
		Path pathToBasePath = path.relativize(basePath);
		System.out.println(basePathToPath);
		System.out.println(pathToBasePath);
	}
}
